Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._ParameterInfo

Provides access to parameter metadata.

To be added. Requires permission to reflect non-public members of a type in loaded assemblies. See .
- Constructor

  Constructs a new instance of the class.

  This constructor is called only by classes that derive from .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Reflection.ParameterAttributes

  Gets the attributes of the parameter reflected by the current instance.

  A value representing the attributes for the parameter reflected by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Reflection.ParameterAttributes To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Type To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Object To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object[] `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData> To be added. To be added. To be added.
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MemberInfo To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.MemberInfo To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Property
  System.String

  Gets the name of the parameter reflected by the current instance.

  A that contains the name of the parameter reflected by the current instance.

  This property returns the name of the parameter reflected by the current instance as that name is declared in the signature of the method that contains the parameter. For example, if a method signature is void MyMethod(object MyParm), the property value would be "MyParm".

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.String To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Type

  Gets the type of the parameter reflected by the current instance.

  The of the parameter reflected by the current instance.

  This property returns the type declared for the property. For example, if a method signature is void MyMethod(object MyParm), the property value would be a object representing the type.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ParameterInfo)) System.Runtime.InteropServices.ComVisible(true)